:root{
  --primary-color: #3976f6;
  --description-color: #999;
  --body-color: #f5f5f5;
  --border-color: #ddd;
}

body{
  margin: 0;
  padding: 0;
  font-size: 1rem;
}

.notice-template{
  position: relative;
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  background: #fff;
  overflow: auto;
}

.notice-template-header{
  box-sizing: border-box;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  height: 56px;
  padding: 0 16px;
  background: #fff;
  border: 1px solid var(--border-color);
}
.notice-template-header img{
  height: 36px;
  aspect-ratio: 3/1;
}

.notice-template-main{
  flex: 1 0 auto;
  padding: 0 16px;
}

.notice-template-box{}

.notice-template-footer{
  flex-shrink: 0;
  padding: 18px 4px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2px;
  font-size: 12px;
  color: var(--description-color);
  background: transparent;
  margin-top: 25px;
}
.notice-template-footer a{
  color: var(--description-color);
  text-decoration: none;
}

.notice-template-title{
  font-size: 1.6rem;
}

.notice-template-content a{
  color: var(--primary-color);
}

.notice-template-button-group{
  margin-top: 25px;
  display: flex;
  gap: 8px;
}

.notice-template-button-group a{
  padding: 10px 20px;
  font-weight: bold;
  text-decoration: none;
  color: var(--primary-color);
  background: color-mix(in oklch, var(--primary-color), transparent 90%);
  border-radius: 6px;
  border: 1px solid var(--border-color);
  transition: all .35s ease;

  -webkit-tap-highlight-color: transparent;
  -webkit-appearance: none;
}

.notice-template-button-group a:first-child{
  color: #fff;
  background: var(--primary-color);
  border: 1px solid transparent;
}

.notice-template-button-group a:hover{
  transform: translateY(-2px);
  border: 1px solid color-mix(in oklch, var(--primary-color), transparent 70%);
  box-shadow: 0 2px 8px color-mix(in oklch, var(--primary-color), transparent 80%);
}


/*大屏幕设备*/
@media (min-width: 768px) {

  .notice-template{
    background: var(--body-color);
  }

  .notice-template-title{
    margin-top: 0;
    padding-top: 0;
  }

  .notice-template-box{
    max-width:  45vw;
    margin: 5% auto 0;
    padding: 24px;
    background: #fff;
    border-radius: 16px;
    border: 1px solid var(--border-color);
  }

  .notice-template-button-group{
    justify-content: right;
  }
}